Connect Environment Credential Plugin
curl --request POST \
--url https://api.replicas.dev/v1/environments/{environmentId}/plugins/{pluginId}/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"apiKey": "<string>"
}
'import requests
url = "https://api.replicas.dev/v1/environments/{environmentId}/plugins/{pluginId}/connect"
payload = { "apiKey": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({apiKey: '<string>'})
};
fetch('https://api.replicas.dev/v1/environments/{environmentId}/plugins/{pluginId}/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "INSUFFICIENT_MINUTES"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}{
"error": "<string>",
"details": "<string>",
"code": "<string>"
}Plugins
Connect Environment Credential Plugin
Connects a non-OAuth plugin on this environment. Installing on a shared environment requires an organization admin. Supported for PostHog, ClickHouse, Cloudflare, Vercel, Modal, turbopuffer, Pangram, E2B, and Vanta. Vanta accepts a Manage API client ID and secret authorized for vanta-api.all:read and vanta-api.all:write, plus a standard or Gov deployment, and is available only at environment scope.
POST
/
v1
/
environments
/
{environmentId}
/
plugins
/
{pluginId}
/
connect
Connect Environment Credential Plugin
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Path Parameters
Environment UUID, or the literal string global.
Catalog identifier of the plugin.
Available options:
attio, calendly, clickhouse, cloudflare, e2b, gmail, googleads, googledocs, googledrive, googlesearch, googlesheets, linkedin, modal, posthog, planetscale, stripe, pangram, vercel, turbopuffer, vanta, notion, jira, confluence, googlecalendar, microsoftteams, outlook, bitbucket, datadog, pagerduty, intercom, zendesk, hubspot, supabase, figma, launchdarkly, asana, clickup, trello, todoist, airtable, coda, miro, sharepoint, onedrive, googleslides, googlemeet, granola, googletasks, dropbox, box, discord, discordbot, zoom, googlechat, newrelic, betterstack, incidentio, grafana, honeycomb, bugsnag, circleci, buildkite, dockerhub, digitalocean, railway, render, firebase, cloudinary, configcat, contextdev, googleanalytics, googlebigquery, amplitude, mixpanel, segment, supermemory, databricks, snowflake, algolia, elasticsearch, salesforce, pipedrive, close, apollo, gong, freshdesk, helpscout, servicenow, mailchimp, customerio, klaviyo, shopify, quickbooks, xero, brex, buffer, canva, webflow, firecrawl, browserbase, exa, youtube, twitter, instagram, facebook Body
application/json
Response
Plugin connected
⌘I